package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppUser.ListOwnedServiceAccounts(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.ListOwnedServiceAccountsResponse != nil {
// handle response
}
}curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/app_users/owned_service_accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expandMask": {
"paths": [
"<string>"
]
},
"pageSize": 123,
"pageToken": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/app_users/owned_service_accounts"
payload = {
"expandMask": { "paths": ["<string>"] },
"pageSize": 123,
"pageToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expandMask: {paths: ['<string>']}, pageSize: 123, pageToken: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/app_users/owned_service_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"expanded": [
{
"@type": "<string>"
}
],
"list": [
{
"appPath": "<string>",
"appUser": {
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"email": "<string>",
"emails": [
"<string>"
],
"employeeIds": [
"<string>"
],
"id": "<string>",
"identityUserId": "<string>",
"isExternal": true,
"profile": {},
"status": {
"details": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"usernames": [
"<string>"
]
},
"identityUserPath": "<string>",
"lastUsagePath": "<string>"
}
],
"nextPageToken": "<string>"
}List Owned Service Accounts
ListOwnedServiceAccounts returns the service accounts owned by the calling user. The owner is the authenticated caller; it is not accepted as an input.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppUser.ListOwnedServiceAccounts(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.ListOwnedServiceAccountsResponse != nil {
// handle response
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
The ListOwnedServiceAccountsRequest message.
Response
Successful response
The ListOwnedServiceAccountsResponse message.
List of related objects.
Show child attributes
Show child attributes
The service accounts owned by the calling user, up to one page of results.
Show child attributes
Show child attributes
The token for fetching the next page of results, empty when there are no more pages.
Was this page helpful?